/* 
display.c 
Written by, Soni 
This module and all other modules of this package are provided under GPL
licence.
*/

#include <stdio.h>

#include "./alf.h"
#include "./stuff.h"
#include "./displayStuff.h"

GLOBAL __U16 display(void){   
 
   if( argumentFlags[ELF_HEADER] > ZERO || argumentFlags[ALL] > ZERO )
      displayElfHeader();
  
   if( argumentFlags[PROGRAMM_HEADER] > ZERO || argumentFlags[ALL] > ZERO )
      displayProgrammHeader();	

   if ( argumentFlags[SECTION_HEADERS] > ZERO || argumentFlags[ALL] > ZERO )
       if( sections()  == ERROR )
          return(ERROR);

   if( argumentFlags[SYMBOLS] > ZERO || argumentFlags[ALL] > ZERO )
     if( symbols() == ERROR )
        return(ERROR);
    
   if( argumentFlags[DYNAMIC] > ZERO || argumentFlags[ALL] > ZERO )
      if( dynamic() == ERROR )
         return(ERROR);

   if( argumentFlags[RELOCATIONS] > ZERO || argumentFlags[ALL] > ZERO )
      if( relocation() == ERROR )
         return(ERROR); 
         
   if( argumentFlags[SECTION_DUMP] > ZERO )
       if( readSection() == ERROR )
          return(ERROR);  
   
   return(NO_ERROR);
    		  
}

